<div class="container p-5">
  <div class="row">
    <div class="col mb-5">
      <h1>Angular Project (eg. Broadcast, Self Service)</h1>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Accordion Component</h3>
      <app-accordion [accordionBody]="uploadContactListBody" primaryLabel="Upload Contact List(s)">
        <ng-template #uploadContactListBody>
          <div class="upload-contact-list-body p-5">
            <!--UPLOAD CONTACT LIST : INFORMATION-->
            <app-info text="Want to know how Contact Lists work?">
              <div class="information">
                <p>
                  When selecting from the Saved List Dropdown:
                </p>
                <ol>
                  <li>The saved list you select will pre-populate the name and the table.</li>
                  <li>If you wish to make changes to a list you selected, you will need to save it as a new list with a new name.</li>
                  <li>If you make any changes by removing contacts or uploading an additional list, you will need to save it as a new list.</li>
                  <li>If you select to “Mark as a Favorite,” then the list will show up at the top under your favorites in alphabetical order the next time you select recipients.</li>
                  <li>Lists have been migrated from Demand and should show in the drop down unless they were empty or invalid.</li>
                  <li>If you wish to combine a Saved List with a list you upload, <strong><em>select the Saved List first.</em></strong> Then add your new list by uploading and saving all those contacts under a new list name. If you upload first and then try to select a Saved List, <strong><em>your contacts in the table will be overwritten</em></strong> with your Saved List.</li>
                </ol>
              </div>
            </app-info>
          </div>
        </ng-template>
      </app-accordion>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Button Component</h3>
      <app-button btnText="Save" loadingText="Saving..." iconClass="icon-loader" isLoading="true"></app-button>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Character Count Component</h3>
      <app-character-count
        [currentCount]="2"
        [limit]="5"
        [maxCount]="25"
      ></app-character-count>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Checkbox With Label Component</h3>
      <app-checkbox-with-label
        label="Add me as a recipient"
        [isChecked]="true"
      ></app-checkbox-with-label>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Collapsible Items View Component</h3>
      <app-collapsible-items-view
        [iconClass]="'icon icon-location'"
        [primaryLabel]="'Locations'"
        [listItems]="[{name: 'California'}, {name: 'Sydney'}]"
        [show]="[{name: 'California'}, {name: 'Sydney'}].length > 0"
        [isExpanded]="true"
      ></app-collapsible-items-view>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Dropdown Component</h3>
      <div class="col-4 p-0">
        <app-dropdown
          label="Status"
          [items]="statusOptions"
          [selectedItem]="defaultValue"
        ></app-dropdown>
      </div>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Info Component</h3>
      <app-info text="Want to learn how Messages work?">
        <div class="information">
          <p>Voice and email messages are significantly faster to send than text; they are your best option if delivery speed is critical. Messages should be sent as early in the day as possible to maximize delivery during typical business hours. Once submitted, messages will be processed until the delivery queues are empty, so please be aware that messages sent near the end of the day can result in evening / overnight message delivery.</p>
          <br>

          <p><strong>Tags</strong></p>
          <p>
            &#123;Tags&#125; are placeholders that will in pull in actual values when processed (e.g. &#123;provider&#125; = Dr. Drew).<br/>
            Each tag option displays the number of characters counted toward the total message.  Location(24) = 24 characters for a location name.
          </p>
          <br>

          <p><strong>Character Count</strong></p>
          <p>The character limit for SMS messages is 306. When you send a message over 160 characters the message will be split. For example, a 161 character message will be sent as two messages, one with 153 characters and the second with 8 characters. It is recommended to use less than 160 characters. Message displays are dependent on the Carrier (e.g. Verizon) and may not be in order if broken into two segments.</p>
          <br>

          <p><strong>Appointment Types</strong></p>
          <p>Appointment types can be associated with only one message.</p>
        </div>
      </app-info>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Inplace Loader Component</h3>
      <app-inplace-loader [show]="true"></app-inplace-loader>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Input field Component</h3>
      <app-input-field
          [required]="true"
          label="Email"
          type="email"
          [showHelperText]="true"
          helperText="Enter valid email address that contains @ symbol and domain."
          [error]="true"
        ></app-input-field>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Text Pill Component</h3>
      <app-text-pill
        [uniqueId]="2"
        [name]="'Example'"
        [showErrorState]="true"
        [showSuccessState] = "false"
      ></app-text-pill>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col">
      <h3 class="pb-1">Warning Text Component</h3>
      <app-warning-text text="Be sure to use this service in the agreed upon manner consistent with applicable law."></app-warning-text>
    </div>
  </div>
</div>



